# https://files.pythonhosted.org/packages/75/b7/8c2429bf8d92354a0118614f9a4d15e53bc69ebedce534284111de5a0102/amqplib-1.0.2.tgz
%define	module	amqplib

Name:		        python-%{module}
Version:	      1.0.2
Release:	      %mkrel 3
Summary:        Python AMQP (Advanced Message Queuing Protocol) client library
Source0:	      %{module}-%{version}.tar.xz
License:	      LGPLv2.1
Group:		      Development/Python
Url:		        http://code.google.com/p/py-amqplib/
BuildArch:	    noarch


%description
amqplib is a Python client library that supports the 0-8 AMQP
(Advanced Message-Queuing Protocol) spec.

%package -n python3-%{module}
Summary:        Client library for AMQP
Group:		Development/Python

%description -n python3-%{module}
Client library for AMQP (Advanced Message Queuing Protocol)

Supports the 0-8 AMQP spec, and has been tested with RabbitMQ
and Python's 2.4 up to 3.2

%files -n python3-%{module}
%{python3_sitelib}/*

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%changelog
* Wed Aug 10 2022 tex - 1.0.2-3pclos2022
- rebuild against updates

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 1.0.2-2pclos2018
- rebuild with python 3.6.5
